libopenmpt 0.5.0-pre.5+r11801 cross-platform C++ and C library to decode tracked music files

Public Types | Public Member Functions | Protected Member Functions | List of all members
openmpt::ext::pattern_vis Class Referenceabstract

`#include <libopenmpt/libopenmpt_ext.hpp>`

## Public Types
enum | effect_type { effect_unknown = 0, effect_general = 1, effect_global = 2, effect_volume = 3, effect_panning = 4, effect_pitch = 5 }
| Pattern command type. More...

## Public Member Functions
virtual effect_type | get_pattern_row_channel_volume_effect_type (std::int32_t pattern, std::int32_t row, std::int32_t channel) const =0
| Get pattern command type for pattern highlighting. More...
virtual effect_type | get_pattern_row_channel_effect_type (std::int32_t pattern, std::int32_t row, std::int32_t channel) const =0
| Get pattern command type for pattern highlighting. More...

## Protected Member Functions
| pattern_vis ()
virtual | ~ pattern_vis ()

## Member Enumeration Documentation

## ◆ effect_type

enum openmpt::ext::pattern_vis::effect_type

Pattern command type.

Enumerator
effect_unknown |
effect_general |
effect_global |
effect_volume |
effect_panning |
effect_pitch |

## Constructor & Destructor Documentation

## ◆ pattern_vis()

openmpt::ext::pattern_vis::pattern_vis | ( |  | ) |
| inline protected

## ◆ ~ pattern_vis()

virtual openmpt::ext::pattern_vis::~ pattern_vis | ( |  | ) |
| inline protected virtual

## Member Function Documentation

## ◆ get_pattern_row_channel_effect_type()

virtual effect_type openmpt::ext::pattern_vis::get_pattern_row_channel_effect_type | ( | std::int32_t | pattern,
|  | std::int32_t | row,
|  | std::int32_t | channel
| ) |  | const
| pure virtual

Get pattern command type for pattern highlighting.

Parameters

  pattern | The pattern whose data should be retrieved.
  row | The row from which the data should be retrieved.
  channel | The channel from which the data should be retrieved.

Returns
  The command type in the volume column at the given pattern position (see openmpt::ext::pattern_vis::effect_type)

See also
  openmpt::ext::pattern_vis::get_pattern_row_channel_volume_effect_type

## ◆ get_pattern_row_channel_volume_effect_type()

virtual effect_type openmpt::ext::pattern_vis::get_pattern_row_channel_volume_effect_type | ( | std::int32_t | pattern,
|  | std::int32_t | row,
|  | std::int32_t | channel
| ) |  | const
| pure virtual

Get pattern command type for pattern highlighting.

Parameters

  pattern | The pattern whose data should be retrieved.
  row | The row from which the data should be retrieved.
  channel | The channel from which the data should be retrieved.

Returns
  The command type in the effect column at the given pattern position (see openmpt::ext::pattern_vis::effect_type)

See also
  openmpt::ext::pattern_vis::get_pattern_row_channel_effect_type

The documentation for this class was generated from the following file:

- libopenmpt/libopenmpt_ext.hpp